Subject: [Lsr] New draft: IS-IS flooding over TCP

From: Henk Smit <[email-masked]>
Date: Fri, 12 Oct 2018 20:40:46 +0200

Hello all,

Gunter van de Velde (Nokia) and me have been working
on 2 ideas to improve the scalability of IS-IS flooding
in large-scale data-center networks.

One idea deals with reducing IS-IS flooding in dense topologies.
Next week or so we'll publish a draft that explains this idea.
It's a distributed algorithm, backwards compatible, no extra
computations required, works in any topology, has redundancy.

The other idea is simpler.
This afternoon Gunter and myself have published a draft about it.
You can find it here:

https://datatracker.ietf.org/doc/draft-hsmit-lsr-isis-flooding-over-tcp/

Abstract:
    This document proposes a solution to use TCP for IS-IS flooding.  The
    proposed solution is a relative simple extension to implement.  IS-IS
    flooding over TCP brings BGP's property of scalable transport via TCP
    to Link-State protocols.

    This proposal defines a new TLV in point-to-point IIHs to signal the
    intent of a router to do flooding over TCP, and it defines a small
    header to encapsulate IS-IS PDUs in the TCP byte-stream.

The idea is simple:
- Routers include a new TLV in IIHs to indicate that they want to
   flood over TCP.
- When both routers agree, (both have the new TLV included) the router
   with the lowest systemid opens a TCP connection to its new neighbor.
- This TCP connection is used to send LSPs and SNPs over.
- IIHs are still sent the classic way (directly in a layer-2 frame).
- Flooding over TCP is only done on p2p interfaces, not on multipoint 
ifs.

There are several benefits for IS-IS:
- the IS-IS process does not need to send or receive SNPs (acks)
- the IS-IS process doesn't need to do retransmissions of LSPs
- multiple LSPs can be packed into fewer TCP segments
- TCP will bring high throughput and flow-control to IS-IS flooding

Of course, all feedback is welcome,

Gunter & Henk